"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getWebsiteCode = exports.apiPath = exports.baseURL = undefined;

var _regenerator = require("babel-runtime/regenerator");

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require("babel-runtime/helpers/asyncToGenerator");

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var getWebsiteCode = exports.getWebsiteCode = function () {
    var _ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee(apiKey, websiteId, options) {
        var query, path, url, _ref2, body, waitTime;

        return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
                switch (_context.prev = _context.next) {
                    case 0:
                        if (!options) {
                            options = {
                                antiAdblock: true
                            };
                        }

                        query = "?key=" + apiKey + "&website_id=" + websiteId;


                        if (options.antiAdblock) {
                            query += "&aab=" + "1";
                            query += "&of=" + "1";
                        }

                        path = apiPath + "/website_code" + query;
                        url = (0, _url.resolve)(baseURL, path);
                        _context.next = 7;
                        return (0, _got2.default)(url).catch(function (err) {
                            return err.response;
                        });

                    case 7:
                        _ref2 = _context.sent;
                        body = _ref2.body;

                        if (!(body.includes("Rate limit exceed") || body.includes("403") && body.includes("Forbidden"))) {
                            _context.next = 16;
                            break;
                        }

                        waitTime = (0, _randomInt2.default)(3 * 60 * 1000, 10 * 60 * 1000);
                        _context.next = 13;
                        return (0, _delay2.default)(waitTime);

                    case 13:
                        _context.next = 15;
                        return getWebsiteCode(apiKey, websiteId, options);

                    case 15:
                        return _context.abrupt("return", _context.sent);

                    case 16:
                        return _context.abrupt("return", body);

                    case 17:
                    case "end":
                        return _context.stop();
                }
            }
        }, _callee, this);
    }));

    return function getWebsiteCode(_x, _x2, _x3) {
        return _ref.apply(this, arguments);
    };
}();

var _got = require("got");

var _got2 = _interopRequireDefault(_got);

var _url = require("url");

var _delay = require("delay");

var _delay2 = _interopRequireDefault(_delay);

var _randomInt = require("random-int");

var _randomInt2 = _interopRequireDefault(_randomInt);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseURL = exports.baseURL = "https://www.popads.net";

var apiPath = exports.apiPath = "/api";